package com.example.tidalairpeisong.user.ui.activity;

import android.os.Bundle;
import android.util.Log;

import androidx.appcompat.app.AppCompatActivity;

import com.example.tidalairpeisong.R;
import com.example.tidalairpeisong.rxhttp.error.OnError;
import com.example.tidalairpeisong.rxhttp.url.Api;
import com.example.tidalairpeisong.user.bean.MallProductBean;
import com.example.tidalairpeisong.user.bean.VersionInfo;
import com.rxjava.rxlife.RxLife;

import rxhttp.wrapper.param.RxHttp;


public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        RxHttp.get(Api.version)
                .add("type",1)
                .add("version","2.2.2")
                .asResponse(VersionInfo.class)
                .to(RxLife.asOnMain(this))
                .subscribe(s -> {
                    Log.e("csd",s.getData().getCate_name()+"");
                }, (OnError) error -> {
                    Log.e("csd",error.getErrorMsg());

                });

        RxHttp.get(Api.mall_products)
                .add("page",1)
                .add("cate_id",1)
                .asResponseList(MallProductBean.class)
                .to(RxLife.asOnMain(this))
                .subscribe(productBeans -> {
                    Log.e("csd",productBeans.size()+"");
                },(OnError) error -> {
                    Log.e("csd",error.getErrorMsg());

                });
    }
}